{
  "name": "functions",
  "description": "Cloud Functions for Firebase",
  "scripts": {
    "lint": "eslint .",
    "serve": "firebase emulators:start --only functions",
    "shell": "firebase functions:shell",
    "start": "npm run shell",
    "deploy": "firebase deploy --only functions",
    "logs": "firebase functions:log"
  },
  "engines": {
    "node": "20"
  },
  "main": "index.js",
  "dependencies": {
    "@genkit-ai/googleai": "^1.18.0",
    "axios": "^1.11.0",
    "firebase-admin": "^12.7.0",
    "firebase-functions": "^6.4.0",
    "genkit": "^1.18.0",
    "fluent-ffmpeg": "^2.1.2",
    "ffmpeg-static": "^5.2.0"
  },
  "devDependencies": {
    "eslint": "^8.15.0",
    "eslint-config-google": "^0.14.0"
  },
  "private": true
}
